PUSH (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.PUSH,PUSH class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class PUSH

    java.lang.Object
      |
      +--org.apache.bcel.generic.PUSH

All Implemented Interfaces:
  CompoundInstruction, InstructionConstants, VariableLengthInstruction

public final class PUSH
extends java.lang.Object
implements CompoundInstruction, VariableLengthInstruction, InstructionConstants

Wrapper class for push operations, which are implemented either as BIPUSH, LDC or xCONST_n instructions.

Version:
  $Id: PUSH.java,v 1.1.1.1 2001/10/29 20:00:25 jvanzyl Exp $
Author:
  M. Dahm

Nested Class Summary

Nested classes inherited from class org.apache.bcel.generic.InstructionConstants
`InstructionConstants.Clinit`

Field Summary

Fields inherited from interface org.apache.bcel.generic.InstructionConstants
`AALOAD, AASTORE, ACONST_NULL, ALOAD_0, ALOAD_1, ALOAD_2, ARETURN, ARRAYLENGTH, ASTORE_0, ASTORE_1, ASTORE_2, ATHROW, BALOAD, BASTORE, bla, CALOAD, CASTORE, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DMUL, DNEG, DREM, DRETURN, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FMUL, FNEG, FREM, FRETURN, FSUB, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, ILOAD_0, ILOAD_1, ILOAD_2, IMUL, INEG, INSTRUCTIONS, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE_0, ISTORE_1, ISTORE_2, ISUB, IUSHR, IXOR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDIV, LMUL, LNEG, LOR, LREM, LRETURN, LSHL, LSHR, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, NOP, POP, POP2, RETURN, SALOAD, SASTORE, SWAP, THIS`

Constructor Summary
`PUSH(ConstantPoolGen cp, boolean value)`
`PUSH(ConstantPoolGen cp, java.lang.Boolean value)`
`PUSH(ConstantPoolGen cp, java.lang.Character value)`
`PUSH(ConstantPoolGen cp, double value)`
`PUSH(ConstantPoolGen cp, float value)`
`PUSH(ConstantPoolGen cp, int value)` This constructor also applies for values of type short, char, byte
`PUSH(ConstantPoolGen cp, long value)`
`PUSH(ConstantPoolGen cp, java.lang.Number value)`
`PUSH(ConstantPoolGen cp, java.lang.String value)`

Method Summary
`Instruction` | `getInstruction()`
`InstructionList` | `getInstructionList()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PUSH

    public PUSH(ConstantPoolGen cp,
                int value)

  This constructor also applies for values of type short, char, byte

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                boolean value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                float value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                long value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                double value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                java.lang.String value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                java.lang.Number value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                java.lang.Character value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

### PUSH

    public PUSH(ConstantPoolGen cp,
                java.lang.Boolean value)

Parameters:
  `cp` - Constant pool
  `value` - to be pushed

Method Detail

### getInstructionList

    public final InstructionList getInstructionList()

  Specified by:
    `getInstructionList` in interface `CompoundInstruction`

### getInstruction

    public final Instruction getInstruction()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    mnemonic for instruction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.